> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/public/password_recovery.md).

# Recuperar Senha

## Recuperar Senha

<mark style="color:green;">`POST`</mark> `https://api.gestao.plus/user?q=recovery-password`

Esta rota permite que o usuário altere a sua senha com o token e prefixo retornados anteriormente durante a solicitação.

#### Query Parameters

| Name                                | Type   | Description         |
| ----------------------------------- | ------ | ------------------- |
| q<mark style="color:red;">\*</mark> | string | "recovery-password" |

#### Request Body

| Name                                        | Type   | Description                            |
| ------------------------------------------- | ------ | -------------------------------------- |
| password<mark style="color:red;">\*</mark>  | string | Nova senha                             |
| pinPrefix<mark style="color:red;">\*</mark> | string | Prefixo recebido juntamente com o PIN  |
| pin<mark style="color:red;">\*</mark>       | string | PIN recebido por email ou sms          |
| token<mark style="color:red;">\*</mark>     | string | O seu token para recuperação da senha. |

{% tabs %}
{% tab title="202 " %}

```
{
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "Unknown",
    "status": 202,
    "detail": {
        "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
        "title": "Password Recovery",
        "status": 202,
        "detail": "Password changed"
    }
}
```

{% endtab %}

{% tab title="400 " %}

```
{
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "Bad Request",
    "status": 400,
    "detail": "Invalid recovery password pin/token"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/public/password_recovery.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
